'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  return {
    visitor: {
      CallExpression: function CallExpression(_ref2, _ref3) {
        var node = _ref2.node;
        var opts = _ref3.opts;
        var file = _ref3.file;

        if (node.callee.name !== 'require' || node.arguments.length !== 1 || !t.isStringLiteral(node.arguments[0])) return;
        var value = node.arguments[0].value;
        var _opts$ignore = opts.ignore;
        var ignore = _opts$ignore === undefined ? [] : _opts$ignore;
        var _opts$baseDir = opts.baseDir;
        var baseDir = _opts$baseDir === undefined ? '' : _opts$baseDir;

        if (value.startsWith('.') || ignore.indexOf(value) !== -1) return;
        try {
          require(value); // eslint-disable-line
        } catch (e) {
          if (e.message.slice(0, 18) === 'Cannot find module') {
            var filename = file.opts.filename;

            node.arguments[0].value = './' + _path2.default.relative(_path2.default.dirname(filename), _path2.default.join(root, baseDir, value)); // eslint-disable-line
          }
        }
      }
    }
  };
};

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _findRoot = require('find-root');

var _findRoot2 = _interopRequireDefault(_findRoot);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var root = (0, _findRoot2.default)(process.cwd());
