import test from 'ava';
import { transform } from 'babel-core';

test('should pass', t => {
  const source = `
    const test = require('ava');
    const fs = require('fs');
    const logUtils = require('utils/log');
    const relativeLogUtils = require('./src/utils/log');
    const builtLogUtils = require('../dist/utils/log');
  `;

  const expected = `
    const test = require('ava');
    const fs = require('fs');
    const logUtils = require('./src/utils/log');
    const relativeLogUtils = require('./src/utils/log');
    const builtLogUtils = require('../dist/utils/log');
  `.replace(/(^\s+)|(\n)/gm, '');

  const { code } = transform(source, {
    plugins: [
      ['./index.build.js', {
        ignore: [],
        baseDir: 'src',
      }],
    ],
  });

  t.is(code.replace(/\n/g, ''), expected.replace(/\n/g, ''));
});
